// Generated by CoffeeScript 1.6.3
var assert, chai, datetime;

if (typeof require !== "undefined" && require !== null) {
  chai = require('chai');
  datetime = require('../datetime');
}

assert = chai.assert;

describe('datetime.utils', function() {
  describe('#zeroPad()', function() {
    it('should generate total of 4 digits when called with 4', function() {
      var i, s;
      i = 10;
      s = datetime.utils.zeroPad(i, 4);
      return assert.equal(s.length, 4);
    });
    it('should truncates numbers that are too long', function() {
      var i, s;
      i = 10;
      s = datetime.utils.zeroPad(i, 1);
      assert.equal(s.length, 1);
      return assert.equal(s, '0');
    });
    it('should pad floats normally unless tailed with 0', function() {
      var f, s;
      f = 2.5;
      s = datetime.utils.zeroPad(f, 5);
      return assert.equal(s, '002.5');
    });
    it('should floor the float if tailed with 0', function() {
      var f, s;
      f = 2.5;
      s = datetime.utils.zeroPad(f, 5, 0);
      return assert.equal(s, '00002');
    });
    it('should account for floating digits if told to tail', function() {
      var f, s;
      f = 2.5;
      s = datetime.utils.zeroPad(f, 5, 2);
      return assert.equal(s, '02.50');
    });
    return it('should handle a 0 normally', function() {
      return assert.equal(datetime.utils.zeroPad(0, 5, 2), '00.00');
    });
  });
  return describe('#hour24', function() {
    return it('should correctly convert to 24-hour format', function() {
      assert.equal(datetime.utils.hour24(3), 3);
      assert.equal(datetime.utils.hour24(5, true), 17);
      assert.equal(datetime.utils.hour24(12), 0);
      return assert.equal(datetime.utils.hour24(12, true), 12);
    });
  });
});
